# comment out if not pre-release
#define prel	rc1

# rel for bumping
%define rel	2

Name:		pekwm
Version:	0.3.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A minimalist window manager for the X Window System
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		https://www.pekwm.se/
Source0:	https://github.com/pekwm/pekwm/releases/download/release-%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
# modify config
Source1:	pekwm_config
Source2:	pekwm_mouse
Source3:        30Pekwm.desktop
# add themes (fonts changed for Mandriva; imported into Mageia)
Source10:	Opus3_Alpha-dev-20050227.tar.bz2
Source11:	OpusOS-Deep.tar.bz2

BuildRequires:	cmake
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(pango)
Requires:	xterm

%description
Pekwm is a window manager based on aewm++, but it no longer
resembles it. It is highly configurable, rather fast, and
aimed towards being usable while remaining pretty enough to
look at. Features include client window grouping into one
window frame, automatic window size, location, grouping
and title rewriting.


%prep
%setup -q -n %{name}-%{version}%{?prel:-%prel}

# modify config
cp -f %{SOURCE1} data/config
cp -f %{SOURCE2} data/mouse

%build
%cmake
%cmake_build

%install
%cmake_install

# install themes
tar -jxf %{SOURCE10} -C %{buildroot}%{_datadir}/%{name}/themes
tar -jxf %{SOURCE11} -C %{buildroot}%{_datadir}/%{name}/themes

%__install -D -m644 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/30Pekwm.desktop

# startfile
cat > %{buildroot}%{_bindir}/start%{name} << EOF
#!/usr/bin/bash
exec %{_bindir}/%{name}
EOF

chmod 755 %{buildroot}%{_bindir}/start%{name}

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/30pekwm.desktop ]; then
	rm -rf %{_datadir}/xsessions/30pekwm.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/30pekwm.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/30pekwm.desktop
fi

%files
%doc AUTHORS NEWS.md README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/pekwm
%{_bindir}/%{name}
%{_bindir}/%{name}_bg
%{_bindir}/%{name}_ctrl
%{_bindir}/%{name}_dialog
%{_bindir}/%{name}_panel
%{_bindir}/%{name}_screenshot
%{_bindir}/%{name}_theme
%{_bindir}/%{name}_wm
%{_bindir}/start%{name}
%{_datadir}/%{name}/
%{_datadir}/xsessions/30Pekwm.desktop
%{_mandir}/man1/*.1*


%changelog
* Wed Feb 01 2023 daviddavid <daviddavid> 0.3.0-2.mga9
+ Revision: 1937466
- enable pango support

* Wed Feb 01 2023 daviddavid <daviddavid> 0.3.0-1.mga9
+ Revision: 1937461
- new version: 0.3.0
- switch to cmake build system
- new Url and Source Url
- update files list

* Wed Mar 30 2022 umeabot <umeabot> 0.1.18-0.rc1.git20190220.3.mga9
+ Revision: 1835242
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- fix usage of  in posttrans

* Sat Feb 15 2020 umeabot <umeabot> 0.1.18-0.rc1.git20190220.2.mga8
+ Revision: 1527619
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jul 18 2019 wally <wally> 0.1.18-0.rc1.git20190220.1.mga8
+ Revision: 1422503
- update to latest git snapshot 0.1.18 rc1 (20190220)
- add a shebang to startpekwm script (mga#25148)

* Sun Sep 23 2018 umeabot <umeabot> 0.1.17-9.mga7
+ Revision: 1300161
- Mageia 7 Mass Rebuild

* Fri Feb 24 2017 wally <wally> 0.1.17-8.mga6
+ Revision: 1087692
- remove old generated session .desktop files on pkg update

* Fri Feb 24 2017 wally <wally> 0.1.17-7.mga6
+ Revision: 1087688
- drop obsolete wmsession.d file
- remove config file tag from xsessions .desktop file

* Fri Sep 23 2016 eatdirt <eatdirt> 0.1.17-6.mga6
+ Revision: 1055457
- Add missing desktop file for sddm

* Sat Feb 06 2016 umeabot <umeabot> 0.1.17-5.mga6
+ Revision: 941532
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.17-4.mga5
+ Revision: 750856
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.17-3.mga5
+ Revision: 683398
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.17-2.mga4
+ Revision: 531346
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 fwang <fwang> 0.1.17-1.mga4
+ Revision: 463144
- new version 0.1.17

* Mon Jun 03 2013 fwang <fwang> 0.1.16-3.mga4
+ Revision: 436035
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 0.1.16-2.mga3
+ Revision: 362745
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.1.16-1.mga3
+ Revision: 324663
- new version 0.1.16

* Sat Aug 25 2012 kamil <kamil> 0.1.15-1.mga3
+ Revision: 283800
- new version 0.1.15

* Tue Feb 07 2012 kamil <kamil> 0.1.14-1.mga2
+ Revision: 205643
- new version 0.1.14

* Mon Feb 06 2012 kamil <kamil> 0.1.12-2.mga2
+ Revision: 205630
- adapt .spec for Mageia
- imported package pekwm


* Wed Sep 15 2010 Rémy Clouard <shikamaru@mandriva.org> 0.1.12-1mdv2011.0
+ Revision: 578754
- bump to final 0.1.12

* Sat Mar 13 2010 Funda Wang <fwang@mandriva.org> 0.1.12-0.rc1.1mdv2010.1
+ Revision: 518738
- New version 0.1.12 rc1

* Tue May 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.11-1mdv2010.0
+ Revision: 379988
- Update to new version 0.1.11

* Tue Jan 27 2009 Jérôme Soyer <saispo@mandriva.org> 0.1.10-1mdv2009.1
+ Revision: 334116
- New upstream release

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 0.1.9a-1mdv2009.1
+ Revision: 324513
- New upstream release

* Tue Aug 26 2008 Jérôme Soyer <saispo@mandriva.org> 0.1.7-1mdv2009.0
+ Revision: 276172
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.6-1mdv2008.1
+ Revision: 97353
- New release 0.1.6
- import pekwm


* Mon Apr 18 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.5-1mdk
- new release
- remove two themes (incompatible to pekwm-0.1.5)

* Mon Apr 17 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.4-1mdk
- new release
- remove Patch0 (pekwm-0.1.3-manpath.patch.bz2)
- (merged upstream)
- add requires xterm
- modify config
- add themes

* Tue Jul 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.1.3-4mdk
- rebuild
- fix summary-ended-with-dot
- %%mkrel

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-3mdk
- rebuild for new g++

* Wed Mar 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.3-2mdk
- fix permissions (reported by Chris Moore <chris.moore@mail.com>)

* Mon Aug 18 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.3-1mdk
- initial mdk release
